Bug 1595985 (CVE-2018-14404)

Summary: CVE-2018-14404 libxml2: NULL pointer dereference in xpath.c:xmlXPathCompOpEval() can allow attackers to cause a denial of service
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: athmanem, bmcclain, carnil, c.david86, csutherl, dblechte, dfediuck, eedri, erik-fedora, gzaronik, jclere, ktietz, lgao, mbabacek, mgoldboi, michal.skrivanek, mturk, myarboro, ohudlick, rh-spice-bugs, rjones, sbonazzo, security-response-team, sfowler, sherold, twalsh, veillard, weli
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: libxml2 2.9.9 Doc Type: If docs needed, set a value
Doc Text:
A null pointer dereference vulnerability exists in the xpath.c:xmlXPathCompOpEval() function of libxml2 when parsing invalid XPath expression. Applications processing untrusted XSL format inputs with the use of libxml2 library may be vulnerable to denial of service attack due to crash of the application.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-07-12 13:05:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1595988, 1595989, 1602817, 1595986, 1595987, 1609130    
Bug Blocks: 1595990, 1658297    

Description Sam Fowler 2018-06-28 01:10:50 UTC
libxml2 is vulnerable to a NULL pointer dereference in the xpath.c:xmlXPathCompOpEval() function due to missing checks for NULL in XPATH_OP_AND and XPATH_OP_OR switch cases. An attacker could exploit this via crafted xpath expressions to cause a denial of service.


Reference:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=901817

Comment 1 Sam Fowler 2018-06-28 01:11:46 UTC
Created libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 1595986]


Created mingw-libxml2 tracking bugs for this issue:

Affects: epel-7 [bug 1595988]
Affects: fedora-all [bug 1595987]

Comment 6 Adam Mariš 2018-07-18 13:47:41 UTC
Statement:

This issue affects the versions of libxml2 as shipped with Red Hat Enterprise Linux 5. Red Hat Enterprise Linux 5 is now in Extended Life Phase of the support and maintenance life cycle. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

This issue affects the versions of libxml2 as shipped with Red Hat Enterprise Linux 6. Red Hat Enterprise Linux 6 is now in Maintenance Support 2 Phase of the support and maintenance life cycle. This has been rated as having a security impact of Moderate, and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

This issue affects the versions of libxml2 as shipped with Red Hat Enterprise Linux 7. Red Hat Product Security has rated this issue as having a security impact of Moderate. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 13 errata-xmlrpc 2019-06-18 19:09:12 UTC
This issue has been addressed in the following products:

  JBoss Core Services Apache HTTP Server 2.4.29 SP2

Via RHSA-2019:1543 https://access.redhat.com/errata/RHSA-2019:1543

Comment 14 Product Security DevOps Team 2019-07-12 13:05:46 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-14404